Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1086872 - [RFE] truncate select box entries with too many characters
Summary: [RFE] truncate select box entries with too many characters
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin
Version: ---
Hardware: x86_64
OS: Linux
low
low vote
Target Milestone: ---
: ---
Assignee: nobody nobody
QA Contact: Pavel Stehlik
URL:
Whiteboard:
Depends On: 1030955
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-11 17:25 UTC by Einav Cohen
Modified: 2017-11-30 17:52 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 1030955
Environment:
Last Closed: 2017-11-30 17:52:02 UTC
oVirt Team: UX
ylavi: ovirt-future?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)
bootstrap select ellipsis example (deleted)
2017-11-18 13:49 UTC, Greg Sheremeta
no flags Details
already looks fine 1 (deleted)
2017-11-30 17:50 UTC, Greg Sheremeta
no flags Details
already looks fine 2 (deleted)
2017-11-30 17:51 UTC, Greg Sheremeta
no flags Details

Description Einav Cohen 2014-04-11 17:25:25 UTC
+++ This bug was initially created as a clone of Bug #1030955 +++

long drop-down items (i.e. when item text exceeds width of drop-down) - need to crop text, suffix with "..." and add a tool-tip with the full text. 

if the long drop-down items are of a "name+description"/"object1+object2" nature, need to use the solution that currently exists for "DataCenter/Cluster" / "Template" / "Version" / ... in the New VM dialog.

Comment 2 Yaniv Kaul 2017-11-16 13:07:53 UTC
How is that addressed, if any, in 4.2 new UI?

Comment 3 Greg Sheremeta 2017-11-18 13:47:00 UTC
(In reply to Yaniv Kaul from comment #2)
> How is that addressed, if any, in 4.2 new UI?

It hasn't been.

Where we use bootstrap-select, putting the ellipsis on is easy -- see attached screenshot. The browser does this for free with CSS.

However, there is not a good solution for detecting when the ellipsis is applied (so a tooltip can be applied showing the un-truncated value).

Comment 4 Greg Sheremeta 2017-11-18 13:49:34 UTC
Created attachment 1354710 [details]
bootstrap select ellipsis example

Comment 5 Greg Sheremeta 2017-11-30 17:50:20 UTC
Correction: this has been addressed in the specific examples by removing the "something / something" else type selects. See screenshots for examples.

Closing.

Comment 6 Greg Sheremeta 2017-11-30 17:50:55 UTC
Created attachment 1361086 [details]
already looks fine 1

Comment 7 Greg Sheremeta 2017-11-30 17:51:26 UTC
Created attachment 1361088 [details]
already looks fine 2


Note You need to log in before you can comment on or make changes to this bug.